Bug 90910 - Laptop freeses using serial-usb and kde
Summary: Laptop freeses using serial-usb and kde
Status: CLOSED DUPLICATE of bug 90855
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-15 09:06 UTC by Sigurjon Sindrason
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:53:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sigurjon Sindrason 2003-05-15 09:06:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
using minicom in a terminal window, connected via usb-serial adapter
connection to another linux machine also using minicom, but internal
serial connector, I can freese the entire laptop ( Compac evo N800v )
simply by sending a lot of data to the laptop ( ctl-z-s, ascii )
and while the data is flowing into the laptop terminal window, I issue
a quit of the minicom ( ctl-z-x ), and it freeses in ( leave minicom - yes no ).

If I try the same in run level 5, not in graphical mode this does not
happen.

I have tried this while connected to the laptop over the network
and the network freeses also


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.On the laptop, having no serial connection, connect usb-serial adapter
2.connect serial1 from another linux to the serial port on the usb-serial, use
null modem cable
3.issue minicom , using /dev/ttyS0 on the linux ( rh 8.0 )
4. issue minicom, using /dev/ttyUSB0 on the laptop ( linux rh 9.0 )
5. send a large ascii file from the linux ( ctl-z-s , ascii mode ) to the
laptop, and while the laptop is receiving the file into the terminal window,
issue ( ctl-z-x ), and the laptop freeses...


    

Actual Results:  laptop freeses ( I believe the reason is buffer overflow )...


Expected Results:  in non graphic mode, the minicom just exits

Additional info:

Comment 1 Pete Zaitcev 2003-06-03 01:31:50 UTC

*** This bug has been marked as a duplicate of 90855 ***

Comment 2 Red Hat Bugzilla 2006-02-21 18:53:02 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.